<!DOCTYPE html>
<html>
<head>
  <title>Color Converter</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      text-align: center;
      background-color: #f0f0f0;
    }
    #converter {
      margin: 20px auto;
      padding: 20px;
      background-color: #ffffff;
      border: 1px solid #cccccc;
      border-radius: 5px;
      width: 300px;
    }
    label {
      font-weight: bold;
    }
    input[type="text"] {
      width: 100%;
      padding: 5px;
      margin: 5px 0;
    }
  </style>
</head>
<body>
  <div id="converter">
    <h1>Color Converter</h1>
    <label for="rgbInput">RGB Color:</label>
    <input type="text" id="rgbInput" placeholder="e.g., 255, 0, 0">
    <br>
    <button id="rgbToHex">Convert to Hex</button>
    <br><br>
    <label for="hexInput">Hex Color:</label>
    <input type="text" id="hexInput" placeholder="e.g., #FF0000">
    <br>
    <button id="hexToRgb">Convert to RGB</button>
  </div>

  <div id="result">
    <p><strong>Result:</strong> <span id="output"></span></p>
  </div>

  <script>
    // Function to convert RGB to Hex
    function rgbToHex(rgb) {
      const [r, g, b] = rgb.split(',').map(Number);
      const hexR = r.toString(16).padStart(2, '0');
      const hexG = g.toString(16).padStart(2, '0');
      const hexB = b.toString(16).padStart(2, '0');
      return `#${hexR}${hexG}${hexB}`;
    }

    // Function to convert Hex to RGB
    function hexToRgb(hex) {
      hex = hex.replace(/^#/, '');
      const bigint = parseInt(hex, 16);
      const r = (bigint >> 16) & 255;
      const g = (bigint >> 8) & 255;
      const b = bigint & 255;
      return `${r}, ${g}, ${b}`;
    }

    // Event listeners for conversion buttons
    document.getElementById('rgbToHex').addEventListener('click', () => {
      const rgbInput = document.getElementById('rgbInput').value;
      const hexColor = rgbToHex(rgbInput);
      document.getElementById('output').textContent = hexColor;
    });

    document.getElementById('hexToRgb').addEventListener('click', () => {
      const hexInput = document.getElementById('hexInput').value;
      const rgbColor = hexToRgb(hexInput);
      document.getElementById('output').textContent = rgbColor;
    });
  </script>
</body>
</html>
